Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Create or save a challenge draft

POST/api/admin/drafts
Request body
requiredapplication/json
idstring | null
Show properties
Any of:
string
string
null
null
dataobject
Responses
200

Response for status 200

idstringrequired
datastringrequired
createdBystringrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
401

Unauthorized

errorstringrequired
404

Response for status 404

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Response for status 500

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/drafts' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "string",
  "data": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "id": "string",
  "data": "string",
  "createdBy": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?